'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Buttons = function (_React$Component) {
    _inherits(Buttons, _React$Component);

    function Buttons() {
        _classCallCheck(this, Buttons);

        return _possibleConstructorReturn(this, (Buttons.__proto__ || Object.getPrototypeOf(Buttons)).apply(this, arguments));
    }

    _createClass(Buttons, [{
        key: 'render',
        value: function () {
            function render() {
                var _this2 = this;

                var styles = {
                    elWrapper: {
                        position: 'absolute',
                        bottom: '0',
                        left: '50%'
                    },
                    center: {
                        marginLeft: '-50%'
                    },
                    buttonWrapper: {
                        width: '10px',
                        height: '10px',
                        float: 'left',
                        margin: '10px'
                    },
                    button: {
                        position: 'relative',
                        width: '10px',
                        height: '10px',
                        background: 'transparent',
                        border: '1px solid black',
                        margin: '0 auto',
                        left: 0,
                        right: 0,
                        borderRadius: '50%',
                        cursor: 'pointer',
                        transition: 'all 300ms ease'
                    },
                    active: {
                        border: '1px solid black',
                        width: '10px',
                        height: '10px',
                        background: '#000'
                    }

                };

                return _react2['default'].createElement(
                    'div',
                    { style: _extends({}, styles.elWrapper, this.props.styles.elWrapper) },
                    _react2['default'].createElement(
                        'div',
                        { style: _extends({}, styles.center, this.props.styles.center) },
                        this.props.ids.map(function (id, i) {
                            return _react2['default'].createElement(
                                'div',
                                { key: id, style: _extends({}, styles.buttonWrapper, _this2.props.styles.buttonWrapper) },
                                _react2['default'].createElement('div', { style: _this2.props.current === id ? _extends({}, styles.button, styles.active, _this2.props.styles.button, _this2.props.styles.active) : _extends({}, styles.button, _this2.props.styles.button), onClick: _this2.props.setCurrent.bind(_this2, id, false) })
                            );
                        })
                    )
                );
            }

            return render;
        }()
    }]);

    return Buttons;
}(_react2['default'].Component);

Buttons.propsTypes = {
    ids: _react2['default'].PropTypes.array,
    setCurrent: _react2['default'].PropTypes.func.isRequired,
    styles: _react2['default'].PropTypes.object.isRequired
};

exports['default'] = Buttons;
//# sourceMappingURL=buttons.js.map