'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Arrow = function (_React$Component) {
    _inherits(Arrow, _React$Component);

    function Arrow() {
        _classCallCheck(this, Arrow);

        return _possibleConstructorReturn(this, (Arrow.__proto__ || Object.getPrototypeOf(Arrow)).apply(this, arguments));
    }

    _createClass(Arrow, [{
        key: '_mergeStyles',
        value: function () {
            function _mergeStyles() {
                for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
                    args[_key] = arguments[_key];
                }

                return Object.assign.apply(Object, [{}].concat(args));
            }

            return _mergeStyles;
        }()
    }, {
        key: 'renderGraphic',
        value: function () {
            function renderGraphic() {
                switch (this.props.icon) {
                    case 'left-1':
                        return _react2['default'].createElement(
                            'g',
                            null,
                            _react2['default'].createElement('path', { d: 'M355.1,1.8L355.1,1.8c8.6,0,16.7,3.3,22.8,9.4l7.3,7.3c6.1,6.1,9.4,14.2,9.4,22.8c0,8.6-3.3,16.7-9.4,22.8L198.6,250.6 L385,437c12.6,12.6,12.6,33,0,45.6l-7.3,7.3c-12.1,12.1-33.4,12.1-45.6,0L115.7,273.4c-6.1-6.1-9.4-14.1-9.4-22.8 c0-8.6,3.3-16.7,9.4-22.8L332.3,11.2C338.3,5.2,346.4,1.8,355.1,1.8z M354.9,489.6c6.1,0,11.7-2.3,16-6.6l7.3-7.3 c8.8-8.8,8.8-23.1,0-31.9L185,250.6L378.3,57.3c4.2-4.2,6.6-9.9,6.6-16s-2.3-11.7-6.6-16l-7.3-7.3c-8.5-8.5-23.4-8.5-31.9,0 L122.5,234.7c-4.2,4.2-6.6,9.9-6.6,16s2.3,11.7,6.6,16L339,483C343.2,487.2,348.9,489.6,354.9,489.6z' })
                        );
                    case 'right-1':
                        return _react2['default'].createElement(
                            'g',
                            null,
                            _react2['default'].createElement('path', { d: 'M145.8,498.9L145.8,498.9c-8.6,0-16.7-3.3-22.8-9.4l-7.3-7.3c-6.1-6.1-9.4-14.2-9.4-22.8c0-8.6,3.3-16.7,9.4-22.8 l186.5-186.5L115.8,63.8c-12.6-12.6-12.6-33,0-45.6l7.3-7.3c12.1-12.1,33.4-12.1,45.6,0l216.4,216.4c6.1,6.1,9.4,14.1,9.4,22.8 c0,8.6-3.3,16.7-9.4,22.8L168.6,489.5C162.5,495.6,154.4,498.9,145.8,498.9z M145.9,11.2c-6.1,0-11.7,2.3-16,6.6l-7.3,7.3 c-8.8,8.8-8.8,23.1,0,31.9l193.2,193.2L122.5,443.5c-4.2,4.2-6.6,9.9-6.6,16c0,6.1,2.3,11.7,6.6,16l7.3,7.3 c8.5,8.5,23.4,8.5,31.9,0l216.6-216.6c4.2-4.2,6.6-9.9,6.6-16s-2.3-11.7-6.6-16L161.9,17.8C157.6,13.5,152,11.2,145.9,11.2z' })
                        );
                    case 'left-2':
                        return _react2['default'].createElement('path', { d: 'M352.7,5c0.8,0,1.7,0.3,2.4,0.9c1.5,1.3,1.7,3.6,0.4,5.1L152.9,249.5L355.5,488c1.3,1.5,1.1,3.8-0.4,5.1 c-1.5,1.3-3.8,1.1-5.1-0.4L143.3,249.5L349.9,6.3C350.6,5.4,351.6,5,352.7,5' });
                    case 'right-2':
                        return _react2['default'].createElement('path', { d: 'M146.9,494c-0.8,0-1.7-0.3-2.4-0.9c-1.5-1.3-1.7-3.6-0.4-5.1l202.6-238.5L144.1,11c-1.3-1.5-1.1-3.8,0.4-5.1 c1.5-1.3,3.8-1.1,5.1,0.4l206.6,243.2L149.7,492.7C149,493.6,148,494,146.9,494' });
                }
            }

            return renderGraphic;
        }()
    }, {
        key: 'render',
        value: function () {
            function render() {
                var styles = {
                    fill: this.props.color || 'currentcolor',
                    verticalAlign: 'middle',
                    width: this.props.size + 'px',
                    height: this.props.size + 'px',
                    top: '50%',
                    marginTop: '-' + this.props.size / 2 + 'px',
                    position: 'absolute'

                };

                return _react2['default'].createElement(
                    'svg',
                    { className: 'icons-' + this.props.icon + '-' + this.props.color, viewBox: '0 0 500 500', preserveAspectRatio: 'xMidYMid meet',
                        style: this._mergeStyles(styles, this.props.style) },
                    this.renderGraphic()
                );
            }

            return render;
        }()
    }]);

    return Arrow;
}(_react2['default'].Component);

Arrow.propTypes = {
    color: _react2['default'].PropTypes.string,
    icon: _react2['default'].PropTypes.string.isRequired,
    size: _react2['default'].PropTypes.oneOfType([_react2['default'].PropTypes.string, _react2['default'].PropTypes.number]),
    style: _react2['default'].PropTypes.object
};

Arrow.defaultProps = {
    size: 30
};

exports['default'] = Arrow;
//# sourceMappingURL=arrow.js.map